#! /bin/sh
# Run this file to use the current configurations to compile, link and install
# these libraries on your Puppy distro.
#
# portaudio
# samplerate
# sndfile
# flxmlrpc
# hamlib
# fltk

echo "building portaudio"
cd portaudio
./build.sh

echo "building samplerate"
cd ../libsamplerate-0.1.8
./build.sh

echo "building sndfile"
cd ../libsndfile-1.0.25
./build.sh

# use the internal flxmlrpc code in fldigi etal
#echo "build flxmlrpc"
#cd ../flxmlrpc-0.1.3
#./build.sh

# 3.1 is the most recent posting at https://github.com/N0NB/hamlib
# check for updates
echo "building hamlib"
cd ../hamlib.3.1.git
./build.sh

# check for newer fltk lib postings at http://www.fltk.org
echo "building fltk"
cd ../fltk-1.3.4-1
./build.sh

echo
echo "========================================================================"
echo "installed libraries:"
echo
ls /usr/local/lib
echo
echo "========================================================================"
